如何解决【 2.2. 第一个应用,Hello Laravel!】执行安装 Laravel 源码错误的问题?

问答 leonzuo18 ⋅ 于 3个月前 ⋅ 最后回复由 Summer 3个月前 ⋅ 237 阅读

问题描述:在 2.2 课中,在虚拟机中运行如下代码:

vagrant@homestead:~/Code$ composer create-project laravel/laravel Laravel --prefer-dist "5.5.*"

出现错误,错误代码如下:

[Composer\Repository\RepositorySecurityException]
The contents of https://packagist.laravel-china.org/p/provider-2016%24c6c01
01dc8448b96e08a3263843f00d13397d34bf2c291cd965e2103f91fd41d.json do not mat
ch its signature. This should indicate a man-in-the-middle attack. Try runn
ing composer again and report this if you think it is a mistake.

文件夹 【~/Code】 下的的Larvel 文件并没有创建成功。
问题:1、错误显示是限制,是否因为被强,有什么好的解决方法吗?
2、之前的同学有回答说是修改 Composer 服务器,是在虚拟机中修改,还是在命令中修改,麻烦说明步骤。
最后,卡在这里,不知道对以后的学习有多大的影响,望解决的同学给予解答。再次感谢

本文章首发在 Laravel China 社区
最佳答案
  • Summer MOD A Life-long learner.
    3个月前

    抱歉,LC 的 Composer 镜像暂时不可用,更换镜像即可:

    $ composer config -g repo.packagist composer https://packagist.phpcomposer.com
回复数量: 1
  • Summer MOD A Life-long learner.
    3个月前

    抱歉,LC 的 Composer 镜像暂时不可用,更换镜像即可:

    $ composer config -g repo.packagist composer https://packagist.phpcomposer.com
暂无评论~~
您需要登陆以后才能留下评论!

Composer 中国全量镜像

Top 100 扩展包

Lumen 中文文档

Laravel 速查表

Laravel 中文文档

Laravel 项目开发规范

Laravel 开发环境部署

TDD 构建 Laravel 论坛笔记

PHP PSR 标准规范

PHP 设计模式全集

Dingo API 中文文档